Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Apr 2013 19:48:38 +0300

> Date: Tue, 23 Apr 2013 14:33:18 +0200
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>, 
>  "[email-masked]" <[email-masked]>
> 
>  > We do have macros like FRAME_MENUBAR_HEIGHT and FRAME_TOOLBAR_HEIGHT
>  > that can be used.  It is better to have that calculation in one place,
>  > rather than in each port, so this might be a good time to move it.
> 
> If someone wants and knows how to do this cleanly, please go for it.

Can you explain what macros/functions would you like to have, exactly,
to be able to do this job cleanly?  Maybe FRAME_MENUBAR_HEIGHT
etc. are not what you need, but perhaps there are other means to get
the information cleanly.

>  > That is one occasion where a pixel-function is needed.  But for most calls, pixel precision is not needed.  These are the non-tile/fullscreen/maxmimized cases in X and NS.
> 
> I need them for the fullscreen/maximized case on X and NS as well when
> the screen estate assigned to Emacs is not a multiple of its character
> size.

I think we should postpone this argument until you are able to present
some code, including its influence on the callers of
change_frame_size.